#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libuninameslist-20200413

- Next

  libunistring-0.9.10

- Up
- Home

# libunique-1.1.6

## Introduction to libunique

The libunique package contains a library for writing single instance applications.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libunique/1.1/libunique-1.1.6.tar.bz2

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libunique/1.1/libunique-1.1.6.tar.bz2

- Download MD5 sum: 7955769ef31f1bc4f83446dbb3625e6d

- Download size: 328 KB

- Estimated disk space required: 7.0 MB

- Estimated build time: 0.2 SBU

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/libunique-1.1.6-upstream_fixes-1.patch

### libunique Dependencies

#### Required

GTK+-2.24.33, also GTK-Doc-1.33.2 (for autoreconf)

#### Optional

gobject-introspection-1.66.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libunique

## Installation of libunique

Install libunique by running the following commands:

    patch -Np1 -i ../libunique-1.1.6-upstream_fixes-1.patch &&
    autoreconf -fi &&

    ./configure --prefix=/usr  \
                --disable-dbus \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-dbus`: This switch disables D-Bus backend in favor of the GDBus backend.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libunique-1.0.so
Installed Directories: /usr/include/unique-1.0 and /usr/share/gtk-doc/html/unique

### Short Descriptions

`libunique-1.0.so` | contains the libunique API functions for single instance support

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  libuninameslist-20200413

- Next

  libunistring-0.9.10

- Up
- Home